| Home | Libraries | People | FAQ | More

###### value::get_int64 (2 of 2 overloads)

Return the underlying `std::int64_t`, without checking.

###### Synopsis

    std::int64_t
    get_int64() const;

###### Description

This is the fastest way to access the underlying representation when the kind is known in advance.

###### Preconditions

    this->is_int64()

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.